
/* Postscript parameters */

#define PAGEX 540       /* Page size */
#define PAGEY 720	/* Offset of lower left corner */
#define CORNX 36
#define CORNY 36
#define LINEWIDTH 0.50  /* Line width in device units */
#define BORDER 0.05	/* Default border percentage */
#define BOX 0		/* Default no box */
#define WIN 0		/* Default no window */
#define CLIP ""		/* Default no clipping */

/* Plot generation parameters */

#define LINEFUZZ  1e-5  /* Line vs. Circle */
#define PARAFUZZ  1e-3  /* Nearly parallel slopes */
#define VFUZZ     1e-6  /* Zero vector */
#define EPS  0.005	/* Detail cutoff */
#define HUGENESS 100.0	/* Large-scale cutoff */ 
#define DEPTH 10	/* Depth in free group */
#define MAXC  300000 	/* Circle stack */
#define MAXG  1000	/* Generator stack */
#define AGREE 100	/* 1/AGREE to match circles */

#define PLANE 0		/* Plot modes */
#define SPHERE 1
#define SEETHRU 2

/* Some types for ps.c */
void set_linewidth(), ps_box(), ps_win(), ps_clip_circle(),
	ps_window(), ps_plot_circles(), ps_plot_circles_s2(),
	ps_see_thru(), ps_circle(), ps_line(), ps_open(),
	ps_close(), ps_s2_circle(), ps_ellipse(), ps_def_circle(),
	ps_def_ellipse();

/* Some types for lim.c */
void generate(), usage(), read_stack(), conjugate_by(), evolve(),
	evolve_stack();

int push_circle();
